The following error appears on a freshly created subtheme when setting $legacy-support-for-ie7 to true.

WARNING: IE legacy support is on, but $box-sizing is set to border-box and the $box-sizing-polyfill-path is empty.
         on line 172 of sass-extensions/zen-grids/stylesheets/zen/_grids.scss, in `zen-grid-item-base'
         from line 63 of sass/layouts/responsive-sidebars.scss
         from line 11 of sass/layouts/responsive-sidebars-rtl.scss
Files: 
CommentFileSizeAuthor
#4 zen-polyfilldocs-1702510-2.patch3.4 KBKrisBulman

Comments

JohnAlbin’s picture

Category:bug» support
Status:Active» Fixed

Yep.

IE legacy support is on, but $box-sizing is set to border-box and the $box-sizing-polyfill-path is empty.

See http://zengrids.com/help/#vars-legacy

moonray’s picture

Component:IE problems» Documentation
Category:support» feature
Status:Fixed» Active

Perhaps that info can be added to the _base.scss file as a comment?

JohnAlbin’s picture

Version:7.x-5.1» 7.x-5.x-dev
KrisBulman’s picture

Status:Active» Needs review
StatusFileSize
new3.4 KB

How about moving the polyfill docs from responsive sidebars & fixed width to _base?

echoz’s picture

Status:Needs review» Reviewed & tested by the community

Makes sense, better UX, changing to RTBC.

KrisBulman’s picture

Status:Reviewed & tested by the community» Fixed

Status:Fixed» Closed (fixed)

Automatically closed -- issue fixed for 2 weeks with no activity.